import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import javax.swing.*;

public class ciz2DC extends JApplet {
   
    final static Color bg = Color.white;
    final static Color fg = Color.black;
    final static Color red = Color.red;
    final static Color white = Color.white;
    private String s ="Bunu drawString Metoduyla yazdir"; 
    private char c[]={'c','h','a','r','s',' ','8'};  
   
    public void init() 
    {
        //Initialize drawing colors
        setBackground(bg);
        setForeground(fg);
    }

   
    public void paint(Graphics g) {
        Graphics2D g2 = (Graphics2D) g;
        g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
        Dimension d = getSize();
        int gridWidth = d.width;
        int gridHeight = d.height;
        //g2.setPaint(fg);
        g2.drawString(s,100,25);
        g2.drawChars(c,2,3,100,50);
        //g2.setPaint(fg);
    }
}
